SystemOrganization addCategory: #AntSimulation!

Object subclass: #AntSensoryInput
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AntSimulation'!

Object subclass: #Cell
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AntSimulation'!

Object subclass: #Entity
	instanceVariableNames: 'id'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AntSimulation'!

Entity subclass: #ActiveEntity
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AntSimulation'!

ActiveEntity subclass: #Ant
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AntSimulation'!

Entity subclass: #InactiveEntity
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AntSimulation'!

InactiveEntity subclass: #Food
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AntSimulation'!

Object subclass: #EntityStatus
	instanceVariableNames: 'cell health'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AntSimulation'!

Object subclass: #Environment
	instanceVariableNames: 'cellMatrix activeEntityStatusMap inactiveEntityStatusMap'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AntSimulation'!

!Environment methodsFor: 'accessing' stamp: 'VanceThornton 7/3/2012 00:56'!
cellAtRow: row column: column
	^cellMatrix at: row at: column
	! !

!Environment methodsFor: 'initialize-release' stamp: 'VanceThornton 7/3/2012 00:53'!
initialize
	cellMatrix := Matrix new.
	activeEntityStatusMap := Dictionary new.
	inactiveEntityStatusMap := Dictionary new.! !

Object subclass: #SurfaceEnvironment
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AntSimulation'!
